<!--<div>
  <form (submit)="addHero(heroName.value, heroEmail.value)">
    <label>Hero name:
      <input #heroName />
    </label>

    <br>
   <label>Hero email:
      <input #heroEmail />
    </label>

    <button type="submit">
      add
    </button>
  </form>
  </div>-->
<form (submit)="addHero(heroName.value, heroEmail.value)">

  <div class="example-container">
    <mat-form-field class="form">
      <input matInput placeholder="Enter your name" #heroName>
    </mat-form-field>
    <br>
    <mat-form-field class="form">
      <input matInput placeholder="Enter your email" [formControl]="email" #heroEmail>
      <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
    </mat-form-field>

  </div>
  <button mat-button type="submit" class="button">
    inserisci eroe
  </button>
</form>